<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <title>{{ config('app.name', 'Laravel') }}</title>

  <style>
    body {
      background: url('/assets/img/bash/81004208_p0.jpg') no-repeat;
      background-position: center 25%;
    }

    #dragger {
      position: absolute;
      z-index: 9;
    }

    #draggerheader {
      cursor: move;
      z-index: 10;
    }

    .konsole {
      width: 600px;
      height: 358px;
      margin: auto;
      color: #fcfcfc;
    }

    .konsole_top_left {
      height: 30px;
      width: 30px;
      background: url('/assets/img/bash/top_left.png') no-repeat;
      position: absolute;
      top: 0;
      left: 0;
    }

    .konsole_top {
      height: 30px;
      background: url('/assets/img/bash/top_bg.png') repeat-x;
      position: absolute;
      top: 0;
      left: 30px;
      width: 466px;
      padding-top: 7px;
      padding-right: 30px;
      text-align: center;
      font-weight: bold;
    }

    .konsole_top_right {
      height: 30px;
      width: 28px;
      background: url('/assets/img/bash/top_right.png') no-repeat;
      position: absolute;
      top: 0;
      right: 0;
    }

    .konsole_top_right:hover {
      background: url('/assets/img/bash/top_right_hover.png') no-repeat;
      cursor: default;
    }

    .konsole_top_max {
      height: 30px;
      width: 23px;
      background: url('/assets/img/bash/top_max.png') no-repeat;
      position: absolute;
      top: 0;
      right: 28px;
    }

    .konsole_top_max:hover { 
      background: url('/assets/img/bash/top_max_hover.png') no-repeat;
      cursor: default;
    }

    .konsole_top_min {
      height: 30px;
      width: 23px;
      background: url('/assets/img/bash/top_min.png') no-repeat;
      position: absolute;
      top: 0;
      right: 51px;
    }

    .konsole_top_min:hover { 
      background: url('/assets/img/bash/top_min_hover.png') no-repeat;
      cursor: default;
    }

    .konsole_left {
      width: 2px;
      background: url('/assets/img/bash/left_bg.png') repeat-y;
      position: absolute;
      top: 30px;
      left: 0;
      height: 325px;
    }

    .konsoleuser { background: url('/assets/img/bash/user_bg.png') repeat; }
    .konsoleroot { background: url('/assets/img/bash/root_bg.png') repeat; }

    .konsoleuser, .konsoleroot {
      background-size: cover;
      backdrop-filter: blur(17px);
      font-family: "Lucida Console", Monospace, "DejaVu Sans Mono", "Courier New", MiscFixed;
      font-size: 12px;
      /* white-space: pre; */
      color: #fcfcfc;
      overflow: auto;
      position: absolute;
      top: 30px;
      left: 2px;
      height: 316px;
      width: 586px;
      padding: 5px;
    }

    .konsole_right {
      width: 2px;
      background: url('/assets/img/bash/right_bg.png') repeat-y;
      position: absolute;
      height: 325px;
      top: 30px;
      right: 0;
    }

    .konsole_bottom_left {
      width: 3px;
      height: 3px;
      background: url('/assets/img/bash/bottom_left.png') no-repeat;
      position: absolute;
      bottom: 0;
      left: 0;
    }

    .konsole_bottom {
      height: 2px;
      background: url('/assets/img/bash/bottom_bg.png') repeat-x;
      position: absolute;
      bottom: 0;
      left: 2px;
      width: 595px;
    }

    .konsole_bottom_right {
      height: 3px;
      width: 3px;
      background: url('/assets/img/bash/bottom_right.png') no-repeat;
      position: absolute;
      right: 0;
      bottom: 0;
    }
  </style>
</head>
<body>
    @yield('content')

  <!-- Scripts -->
  <script src="{{ asset('js/app.js') }}"></script>
  <script>
    // Make the DIV element draggable:
    dragElement(document.getElementById("dragger"));

    function dragElement(elmnt) {
      var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
      if (document.getElementById(elmnt.id + "header")) {
        // if present, the header is where you move the DIV from:
        document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
      } else {
        // otherwise, move the DIV from anywhere inside the DIV:
        elmnt.onmousedown = dragMouseDown;
      }

  function dragMouseDown(e) {
    e = e || window.event;
    e.preventDefault();
    // get the mouse cursor position at startup:
    pos3 = e.clientX;
    pos4 = e.clientY;
    document.onmouseup = closeDragElement;
    // call a function whenever the cursor moves:
    document.onmousemove = elementDrag;
  }

  function elementDrag(e) {
    e = e || window.event;
    e.preventDefault();
    // calculate the new cursor position:
    pos1 = pos3 - e.clientX;
    pos2 = pos4 - e.clientY;
    pos3 = e.clientX;
    pos4 = e.clientY;
    // set the element's new position:
    elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
    elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
  }

  function closeDragElement() {
    // stop moving when mouse button is released:
    document.onmouseup = null;
    document.onmousemove = null;
  }
}

    function showdiv (id) {
      if (showdiv.div) showdiv.div.style.display = 'none';
      showdiv.div = document.getElementById(id);
      showdiv.div.style.display = 'block';
    }

    function hidediv (id) {
      if (showdiv.div) showdiv.div.style.display = 'block';
      showdiv.div = document.getElementById(id);
      showdiv.div.style.display = 'none';
    }
  </script>
</body>
</html>
